KPL/FK
      \begintext
 
        Recall that the frame `EARTH_FIXED' is a TK frame.  As a result
        its relationship to other frames must be specified via
        a kernel pool variable.  We make that specification here.

        We use IAU_EARTH for now because that is always available.

         Use the definition below if you have a high precision ITRF93 binary
         pck file.
   

            TKFRAME_EARTH_FIXED_RELATIVE = 'ITRF93'
TKFRAME_EARTH_FIXED_RELATIVE = 'IAU_EARTH'
           TKFRAME_EARTH_FIXED_SPEC     = 'MATRIX'
           TKFRAME_EARTH_FIXED_MATRIX   = ( 1   0   0
                                            0   1   0
                                            0   0   1 )


 lat=lat-90, lon=-lon. ASTRAKHAN: 4621'00"N -> -43.24; 4803'00"E -> -48,

 \begindata




   NAIF_BODY_NAME             +=  'DYN'
   NAIF_BODY_CODE             +=  399888

   NAIF_BODY_NAME                        +=  'GREENWICH'
   NAIF_BODY_CODE                        +=  399200

  
   NAIF_BODY_NAME                        +=  'KURSAVKA'
   NAIF_BODY_CODE                        +=  399201

   NAIF_BODY_NAME                        +=  'ASTRAKHAN'
   NAIF_BODY_CODE                        +=  399210

   NAIF_BODY_NAME                        +=  'CAIRO'
   NAIF_BODY_CODE                        +=  399220

   NAIF_BODY_NAME                        +=  'ISTANBUL'
   NAIF_BODY_CODE                        +=  399222

   NAIF_BODY_NAME                        +=  'LONDON'
   NAIF_BODY_CODE                         +=  399223

   

   FRAME_DYN_TOPO         = 1399888
   FRAME_1399888_NAME          =  'DYN_TOPO'
   FRAME_1399888_CLASS         = 4
   FRAME_1399888_CLASS_ID      = 1399888
   FRAME_1399888_CENTER        = 399888

   OBJECT_399888_FRAME         = 'DYN_TOPO'

   TKFRAME_DYN_TOPO_RELATIVE   = 'EARTH_FIXED'
   TKFRAME_DYN_TOPO_SPEC       = 'ANGLES'
   TKFRAME_DYN_TOPO_UNITS      = 'DEGREES'
   TKFRAME_DYN_TOPO_AXES       = ( 3, 2, 3)
   TKFRAME_DYN_TOPO_ANGLES     = (-42.51, -45.54, 180.0000000000000  )
   
    





   FRAME_GREENWICH_TOPO            = 1399200
   FRAME_1399200_NAME                    = 'GREENWICH_TOPO'
   FRAME_1399200_CLASS                   = 4
   FRAME_1399200_CLASS_ID            = 1399200
   FRAME_1399200_CENTER               = 399200

   OBJECT_399200_FRAME                   = 'GREENWICH_TOPO'

   TKFRAME_GREENWICH_TOPO_RELATIVE          = 'EARTH_FIXED'
   TKFRAME_GREENWICH_TOPO_SPEC              = 'ANGLES'
   TKFRAME_GREENWICH_TOPO_UNITS             = 'DEGREES'
   TKFRAME_GREENWICH_TOPO_AXES              = ( 3, 2, 3)
   TKFRAME_GREENWICH_TOPO_ANGLES            = ( 0, -38.5227778, 180.0000000000000  )


   
   FRAME_KURSAVKA_TOPO            = 1399201
   FRAME_1399201_NAME                    = 'KURSAVKA_TOPO'
   FRAME_1399201_CLASS                   = 4
   FRAME_1399201_CLASS_ID            = 1399201
   FRAME_1399201_CENTER               = 399201

   OBJECT_399201_FRAME                   = 'KURSAVKA_TOPO'

   TKFRAME_KURSAVKA_TOPO_RELATIVE          = 'EARTH_FIXED'
   TKFRAME_KURSAVKA_TOPO_SPEC              = 'ANGLES'
   TKFRAME_KURSAVKA_TOPO_UNITS             = 'DEGREES'
   TKFRAME_KURSAVKA_TOPO_AXES              = ( 3, 2, 3)
   TKFRAME_KURSAVKA_TOPO_ANGLES            = ( -42.51, -45.54, 180.0000000000000  )
   




   FRAME_ASTRAKHAN_TOPO          = 1399210
   FRAME_1399210_NAME                    = 'ASTRAKHAN_TOPO'
   FRAME_1399210_CLASS                   = 4
   FRAME_1399210_CLASS_ID                = 1399210
   FRAME_1399210_CENTER                  = 399210

   OBJECT_399210_FRAME                   = 'ASTRAKHAN_TOPO'

   TKFRAME_ASTRAKHAN_TOPO_RELATIVE          = 'EARTH_FIXED'
   TKFRAME_ASTRAKHAN_TOPO_SPEC              = 'ANGLES'
   TKFRAME_ASTRAKHAN_TOPO_UNITS             = 'DEGREES'
   TKFRAME_ASTRAKHAN_TOPO_AXES              = ( 3, 2, 3)
   TKFRAME_ASTRAKHAN_TOPO_ANGLES            = ( -48.00,  -43.70, 180.0000000000000  )



   FRAME_CAIRO_TOPO                     = 1399220
   FRAME_1399220_NAME                    = 'CAIRO_TOPO'
   FRAME_1399220_CLASS                   = 4
   FRAME_1399220_CLASS_ID                = 1399220
   FRAME_1399220_CENTER                  = 399220

   OBJECT_399220_FRAME                   = 'CAIRO_TOPO'

   TKFRAME_CAIRO_TOPO_RELATIVE          = 'EARTH_FIXED'
   TKFRAME_CAIRO_TOPO_SPEC              = 'ANGLES'
   TKFRAME_CAIRO_TOPO_UNITS             = 'DEGREES'
   TKFRAME_CAIRO_TOPO_AXES              = ( 3, 2, 3)
   TKFRAME_CAIRO_TOPO_ANGLES            = ( -31.25,  -59.55, 180.0000000000000  )
	


   FRAME_ISTANBUL_TOPO                     = 1399222
   FRAME_1399222_NAME                    = 'ISTANBUL_TOPO'
   FRAME_1399222_CLASS                   = 4
   FRAME_1399222_CLASS_ID                = 1399222
   FRAME_1399222_CENTER                  = 399222

   OBJECT_399222_FRAME                   = 'ISTANBUL_TOPO'

   TKFRAME_ISTANBUL_TOPO_RELATIVE          = 'EARTH_FIXED'
   TKFRAME_ISTANBUL_TOPO_SPEC              = 'ANGLES'
   TKFRAME_ISTANBUL_TOPO_UNITS             = 'DEGREES'
   TKFRAME_ISTANBUL_TOPO_AXES              = ( 3, 2, 3)
   TKFRAME_ISTANBUL_TOPO_ANGLES            = ( -28.97,  -48.98, 180.0000000000000  )


   FRAME_LONDON_TOPO         = 1399223
   FRAME_1399223_NAME          =  'LONDON_TOPO'
   FRAME_1399223_CLASS         = 4
   FRAME_1399223_CLASS_ID      = 1399223
   FRAME_1399223_CENTER        = 399223

   OBJECT_399223_FRAME         = 'LONDON_TOPO'

   TKFRAME_LONDON_TOPO_RELATIVE   = 'EARTH_FIXED'
   TKFRAME_LONDON_TOPO_SPEC       = 'ANGLES'
   TKFRAME_LONDON_TOPO_UNITS      = 'DEGREES'
   TKFRAME_LONDON_TOPO_AXES       = ( 3, 2, 3)
   TKFRAME_LONDON_TOPO_ANGLES     = (0.1666667 , -38.5, 180.0000000000000  )
    


  \begintext
